package com.yonge.cooleshow.biz.dal.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022/4/7 15:07
 */
@ApiModel(value = "WithdrawalReq对象", description = "用户发起结算申请对象")
public class WithdrawalReq {
    @NotNull(message = "缺少用户银行卡id")
    @ApiModelProperty("用户银行卡id")
    private Long bankCardId;

    @NotNull(message = "缺少结算金额")
    @ApiModelProperty("结算金额")
    private BigDecimal amountWithdrawal;

    public Long getBankCardId() {
        return bankCardId;
    }

    public void setBankCardId(Long bankCardId) {
        this.bankCardId = bankCardId;
    }

    public BigDecimal getAmountWithdrawal() {
        return amountWithdrawal;
    }

    public void setAmountWithdrawal(BigDecimal amountWithdrawal) {
        this.amountWithdrawal = amountWithdrawal;
    }
}
